Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Should I stay on 1.1.9?

Discussion in 'Pro/Adv Discussion' started by Raph, Aug 21, 2015.

  1. Raph

    Joined:
    May 18, 2015
    Messages:
    25
    Likes Received:
    4
    My P3A came with 1.1.9 when I bought it a few months ago, and have kept it on that FW as I witnessed the 1.2.6 / 1.2.8 debacle unfold. Now that 1.3.2 has been out for 2 weeks and the dust has startled to settle, it seems that this is a worthy FW upgrade. Is there a reason to stay on 1.1.9? I'm not experiencing issues with my current bird, but it would be nice to finally get rid of the pesky "firmware out of date" message. Plus, 1.3.2 may have under the hood tweaks that are beneficial.
     
  2. SectorLord

    Joined:
    May 12, 2015
    Messages:
    35
    Likes Received:
    1
    Location:
    Hong Kong
    Disconnection and few Compass errors reported after FW 1.3.2

    But its vague, if its really fw issue....

    I am staying at 1.1.9
     
  3. sergekouper

    Joined:
    Apr 20, 2014
    Messages:
    752
    Likes Received:
    128
    Location:
    London UK
    Me too... 1.1.9 works perfectly, no need for upgrade for me now. I wait the POI to come, then I will definitely go for it.
     
  4. AsiaFlyer

    Joined:
    Aug 10, 2014
    Messages:
    230
    Likes Received:
    44
    Location:
    Koh Samui, Thailand
    I am staying on 1.1.9 for now, works perfect for me, will upgrade where there are some new features.
     
  5. nhoover

    Joined:
    Dec 11, 2013
    Messages:
    851
    Likes Received:
    182
    Location:
    Los Gatos, California
    I am definitely staying on 1.1.9 for now - no reason to upgrade until more features are added and fewer problems are reported. I am still flying with the old 1.0.10 Pilot app on Android so no pesky errors either. With Google Play Services etc downgraded, everything works, completely crashless and lagless.
     
  6. 2raaas

    Joined:
    Jul 9, 2015
    Messages:
    88
    Likes Received:
    10
    1.1.9 works great for me, I'm only upgrading when forced too/ when the new features come out follow me etc
     
  7. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,842
    Likes Received:
    5,549
    Location:
    US
    The current firmware is working fine on my P3P. It seems most P3A owners are having a good experience too. Keep in mind that you can always go back to 1.1.9 if you install the current firmware and do not like it for some reason.
     
  8. BenDronePilot

    Joined:
    Dec 7, 2013
    Messages:
    1,204
    Likes Received:
    131

    I've been on 1.1.9 firmware since I got my P3P and works perfect. I did however finally do the jump yesterday to the new 1.3.2 firmware and it works just as flawlessly thus far in my initial tests running three batteries through it. I also am using the latest DJI app. I say go for the upgrade you won't regret it
     
  9. D4T_PoM

    Joined:
    Jul 28, 2015
    Messages:
    693
    Likes Received:
    183
    Location:
    London UK
    On 1.1.9 and runs flawless running DJI GO app too.

    Same as you very sceptical as to wether I should update or not but I will hold on until they add more features and or less stories.
     
  10. BenDronePilot

    Joined:
    Dec 7, 2013
    Messages:
    1,204
    Likes Received:
    131
    Yup I first tested the day prior using the latest go app on 1.1.9 firmware and it worked without a hitch. No freezes no crashes, my full 32 channels with the channel mod. And following day after confirming the new app worked properly I updated firmware to 1.3.2 and all is perfect, all 32 channels still. If anything the only strange thing is that ir would alternate between saying there was still a firmware update available. Tho it hadn't said that the last several power cycles.
     
    2raaas likes this.
  11. Hono

    Joined:
    Jul 17, 2015
    Messages:
    35
    Likes Received:
    8
    I also staying on 1.1.9 firmware and old 1.1.2 DJI pilot,it"s work perfectly with my iphone6 plus,I will update when Dji release POI , follow me and way point
     
  12. Shammyh

    Joined:
    Apr 4, 2015
    Messages:
    325
    Likes Received:
    154
    Still on 1.1.9 as well.

    I look at it how I look at my systems operations responsibilities.

    You don't update "prod" (production) just to have the latest version. You update if there's a vulnerability that needs patching.

    If you want to test out the new shiny whatever, thats what "dev" (development) is for. If you have two birds, feel free to use one as the Guinea pig, otherwise, if it ain't broke, don't fix it.

    Personally I have a P2V+ late-v3 that I use for mods, testing, fun, etc... And my P3 stays on known "good" firmware so that when I know I need to get a specific shot, I'm ready to go without big unanswered questions.
     
  13. sharper4

    Joined:
    Jul 9, 2015
    Messages:
    76
    Likes Received:
    31
    Location:
    Dallas - Fort Worth
    I don't know if the random problems I've been experiencing have anything to do with the firmware update, but I know that I never had *any* issues on the 1.1.9 firmware. Wish I had waited for something more exciting before upgrading.
     
  14. D4T_PoM

    Joined:
    Jul 28, 2015
    Messages:
    693
    Likes Received:
    183
    Location:
    London UK
    Also guys because we are still on 1.1.9 we are not restricted from NFZ radius :p

    Don't recommend this to anyone, I don't do it and make sure you fly safe.

    Off topic - had a seagull keep coming close to my P3 today, stupid thing kept annoying me, kept flying round and close to the P3 and I mean really, really close. Guessing it was curious, I was only about 15meters above and it kept annoying me so I landed the P3 lol
     
    RiZe-TommyGun likes this.
  15. Buckaye

    Joined:
    Aug 24, 2014
    Messages:
    1,557
    Likes Received:
    420
    Location:
    Orlando
    I am on 1.3.2 and have had absolutely no issues with it. In fact it was so stable IMO that I put both my birds on that firmware. Couldn't be happier.
     
  16. D4T_PoM

    Joined:
    Jul 28, 2015
    Messages:
    693
    Likes Received:
    183
    Location:
    London UK
    @Buckaye

    Until I hear 1-2 weeks of no bad firmware reviews I'm happy to stay on 1.1.9

    Better be safe then story lol

    Good to hear your P3 is flying good
     
  17. Buckaye

    Joined:
    Aug 24, 2014
    Messages:
    1,557
    Likes Received:
    420
    Location:
    Orlando
    It's been 17 days since it released.... if you wait for 2 weeks of no complaining you're going to be waiting forever (I am sure there are people complaining about 1.1.9 as we speak :)

    Not trying to change your mind... just giving you a different perspective is all.
     
  18. Buckaye

    Joined:
    Aug 24, 2014
    Messages:
    1,557
    Likes Received:
    420
    Location:
    Orlando

    I have had several curious birds scares... I land too.... I just don't want to watch my P3P plummet out of the sky....
     
    D4T_PoM likes this.
  19. Shammyh

    Joined:
    Apr 4, 2015
    Messages:
    325
    Likes Received:
    154
    There's a difference in No Fly Zone enforcement in 1.1.9? As in new NFZs are missing? Or enforcement is different?

    Thanks!
     
  20. leekiya

    Joined:
    Aug 29, 2014
    Messages:
    1,098
    Likes Received:
    145
    Location:
    Lee. UK
    I would stay on 1.9 I made the jump from 1.9 to 1.3 and I have had no signal issues on start up a few times and had to take the memory card out the gimbal and put it back in a few times. This could be a old problem I heard about months ago tho with gimbal/memory card issues and them connecting properly I don't know. I only upgraded the firmware because I was having other issues which did go with the latest firmware but sadly got replaced with this latest issue. Either way I wouldn't update unless you have a reason to do so.